Subject: answers to questions about dlur-3b

From: "Ed Tremblay (254-5515)" <[email-masked]>
Date: Thu, 10 Feb 94 10:49:42 EST

Sorry for the delay in responding ... I never received this note at my
ID, and I just happened to see it in the maillog.

Ed

Subject: questions from dlur3b.doc
From: [email-masked]  (David Matusow)
Date: Wed, 19 Jan 94 14:16:59 -0500
Reply-To: [email-masked]
Message-Id: <[email-masked]>

The following are questions on the DLUR document dated
1/6/94.

1. In 8.1.2, +RSP(ACTLU), it talks about cv0C.  What happens
   if a back level node is sending the RSP(ACTLU)?  Is this
   response extended by the SS extensions?

>>>> Good question, not currently addressed in the document.  In this
>>>> case it's not SS extensions but DLUR that needs to be involved.
>>>> Part of the RSP(ACTLU) processing in the architecture requires
>>>> a DLUR to always set a bit in the CV X'0C', so the architecture
>>>> must address the cases where RSP(ACTLU) is received without a
>>>> CV X'0C'.
>>>>
>>>> I've talked to NCP about the way its Boundary Function handles
>>>> this situation, and if NCP does not receive a CV X'0C' on
>>>> RSP(ACTLU), it builds a CV and adds it to the response before
>>>> sending it to the SSCP.  I've also looked at the RSP(ACTLU) format,
>>>> and it looks like a CV X'00' would also need to be built and added
>>>> if it was missing.
>>>>
>>>> So I think the logic for DLUR processing a RSP(ACTLU) would be:
>>>>
>>>>   - if the RSP(ACTLU) includes a CV X'0C', continue processing
>>>>     as already described in the document
>>>>   - if the RSP(ACTLU) only includes a CV X'00', build a CV X'0C'
>>>>     and add it to the RU
>>>>   - if the RSP(ACTLU) has no CVs, build a CV X'00' and a CV X'0C'
>>>>     and add them to the RU
>>>>   - when building a CV X'00', set maximum RU size to 256 bytes and
>>>>     all other fields to 0
>>>>   - when building a CV X'0C', set secondary LU capability to
>>>>     enabled, LU-LU session limit to 1, SESSST support to 1 (part
>>>>     of the DLUR support), and all other fields to 0
>>>>
>>>> If this looks right to everyone, it will go into the next draft.

2. In 10.1.2, DLUR/S Dependent LU Session Awareness, it talks
   about the correlation between the dependent and
   independent SAW data.  How is a correlation made between
   the DLUS and BF SAW data made.  Is there a way for the
   SSCP to make a correlation between the BFSESSST and SESSST
   for the same LU?

>>>> Near the end of 10.1.2, it is stated that the correlation will be
>>>> done by FQPCID.  To double check, I went back and asked VTAM your
>>>> question, and the response was the same:
>>>>
>>>>    Yes, VTAM will correlate the BFSESSST/SESSST pair prior to
>>>>    passing SAW data to NetView.  It is actually quite similar to
>>>>    how VTAM handles receipt of multiple SESSSTs prior to DLUR/S.
>>>>    VTAM will correlate the two SESSSTs using the PCID.

3. In 11.2.4, what is R1BN in #3?

>>>> R1BN stands for Release 1 Border Node, the original Border Node
>>>> implemented in AS/400.  EBN stands for Extended Border Node, which
>>>> will be implemented in VTAM V4R2.

4. In 11.3.4.1.1, DLUR/PU-initiated search, how does the EBN
   know if DLUS has already received a LOCATE w/o OCR bit
   set?

>>>> Because the EBN will see the reply to the Locate, and the reply
>>>> will have the DSL bit set.  In that case, if the EBN is the OBN
>>>> (Origin Border Node), it will check the DSR bit in the reply.  If
>>>> the DSR bit is on, the OBN will send a Locate to the DLUR; if the
>>>> DSR bit is off, the OBN will do nothing (because the DLUS is taking
>>>> care of getting the TGVs).

Thanks,
David